# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::DistributionListDialog Class Reference

Frontend to create distribution lists. More...

`#include <distributionlistdialog.h>`

Inheritance diagram for KABC::DistributionListDialog:

[legend]
Collaboration diagram for KABC::DistributionListDialog:

[legend]
List of all members.

## Public Member Functions

| DistributionListDialog (AddressBook *ab, QWidget *parent)
virtual | ~DistributionListDialog ()

## Detailed Description

Frontend to create distribution lists.

Creating a new DistributionListDialog does automatically load all addressees and distribution lists from the config files. The changes will be saved when clicking the 'OK' button.

Example:

      KABC::DistributionListDialog *dlg = new
              KABC::DistributionListDialog( KABC::StdAddressBook::self(), this );

      dlg->exec();

Definition at line 55 of file distributionlistdialog.h.

## Constructor & Destructor Documentation

DistributionListDialog::DistributionListDialog | ( | AddressBook * | ab,
|  | QWidget * | parent
| ) |

Constructor.

Parameters:

  | ab | The addressbook, the addressees should be used from
  | parent | The parent widget

Definition at line 43 of file distributionlistdialog.cpp.

References KDialogBase::okClicked(), and KDialogBase::setMainWidget().

DistributionListDialog::~DistributionListDialog | ( |  | ) | `[virtual]`

| Destructor. Definition at line 52 of file distributionlistdialog.cpp.

The documentation for this class was generated from the following files:

- distributionlistdialog.h
- distributionlistdialog.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:43 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003